'use strict'

const { ipcRenderer } = require('electron');
const jQuery = require('jquery');
const ko = require('knockout');

(function (App) {
    App.ViewModel = function () {
        var viewModel = this;

        viewModel.nodeVersion = ko.observable(process.versions.node);
        viewModel.chromeVersion = ko.observable(process.versions.chrome);
        viewModel.electronVersion = ko.observable(process.versions.electron);

        viewModel.jsonData = ko.observable();
        viewModel.tokenData = ko.observable();

        

        viewModel.go = function(){
            viewModel.jsonData(ipcRenderer.sendSync("message", "go"));
        }

        var loginWindow;
        viewModel.authenticate = function() {
            loginWindow = window.open("http://localhost:3000/auth");            
        };
        ipcRenderer.on("loginResponse",function(event, argument){
            viewModel.tokenData(JSON.stringify(argument));
            loginWindow.close();
        });
        
    }
})(window.App = window.App || {});

jQuery(document).ready(
    function () {
        ko.applyBindings(new App.ViewModel());
    }
);